/* This part is automatically generated by ./errors.pl, do not edit */
#ifndef grib_errors_H
#define grib_errors_H
/*! \defgroup errors Error codes
Error codes returned by the grib_api functions.
*/
/*! @{*/
/** No error */
#define GRIB_SUCCESS		0
/** End of resource reached */
#define GRIB_END_OF_FILE		-1
/** Internal error */
#define GRIB_INTERNAL_ERROR		-2
/** Passed buffer is too small */
#define GRIB_BUFFER_TOO_SMALL		-3
/** Function not yet implemented */
#define GRIB_NOT_IMPLEMENTED		-4
/** Missing 7777 at end of message */
#define GRIB_7777_NOT_FOUND		-5
/** Passed array is too small */
#define GRIB_ARRAY_TOO_SMALL		-6
/** File not found */
#define GRIB_FILE_NOT_FOUND		-7
/** Code not found in code table */
#define GRIB_CODE_NOT_FOUND_IN_TABLE		-8
/** Array size mismatch */
#define GRIB_WRONG_ARRAY_SIZE		-9
/** Key/value not found */
#define GRIB_NOT_FOUND		-10
/** Input output problem */
#define GRIB_IO_PROBLEM		-11
/** Message invalid */
#define GRIB_INVALID_MESSAGE		-12
/** Decoding invalid */
#define GRIB_DECODING_ERROR		-13
/** Encoding invalid */
#define GRIB_ENCODING_ERROR		-14
/** Code cannot unpack because of string too small */
#define GRIB_NO_MORE_IN_SET		-15
/** Problem with calculation of geographic attributes */
#define GRIB_GEOCALCULUS_PROBLEM		-16
/** Out of memory */
#define GRIB_OUT_OF_MEMORY		-17
/** Value is read only */
#define GRIB_READ_ONLY		-18
/** Invalid argument */
#define GRIB_INVALID_ARGUMENT		-19
/** Null handle */
#define GRIB_NULL_HANDLE		-20
/** Invalid section number */
#define GRIB_INVALID_SECTION_NUMBER		-21
/** Value cannot be missing */
#define GRIB_VALUE_CANNOT_BE_MISSING		-22
/** Wrong message length */
#define GRIB_WRONG_LENGTH		-23
/** Invalid key type */
#define GRIB_INVALID_TYPE		-24
/** Unable to set step */
#define GRIB_WRONG_STEP		-25
/** Wrong units for step (step must be integer) */
#define GRIB_WRONG_STEP_UNIT		-26
/** Invalid file id */
#define GRIB_INVALID_FILE		-27
/** Invalid grib id */
#define GRIB_INVALID_GRIB		-28
/** Invalid index id */
#define GRIB_INVALID_INDEX		-29
/** Invalid iterator id */
#define GRIB_INVALID_ITERATOR		-30
/** Invalid keys iterator id */
#define GRIB_INVALID_KEYS_ITERATOR		-31
/** Invalid nearest id */
#define GRIB_INVALID_NEAREST		-32
/** Invalid order by */
#define GRIB_INVALID_ORDERBY		-33
/** Missing a key from the fieldset */
#define GRIB_MISSING_KEY		-34
/** The point is out of the grid area */
#define GRIB_OUT_OF_AREA		-35
/** Concept no match */
#define GRIB_CONCEPT_NO_MATCH		-36
/** Definitions files not found */
#define GRIB_NO_DEFINITIONS		-37
/** Wrong type while packing */
#define GRIB_WRONG_TYPE		-38
/** End of resource */
#define GRIB_END		-39
/** Unable to code a field without values */
#define GRIB_NO_VALUES		-40
/** Grid description is wrong or inconsistent */
#define GRIB_WRONG_GRID		-41
/** End of index reached */
#define GRIB_END_OF_INDEX		-42
/** Null index */
#define GRIB_NULL_INDEX		-43
/** End of resource reached when reading message */
#define GRIB_PREMATURE_END_OF_FILE		-44
/** An internal array is too small */
#define GRIB_INTERNAL_ARRAY_TOO_SMALL		-45
/** Message is too large for the current architecture */
#define GRIB_MESSAGE_TOO_LARGE		-46
/** Constant field */
#define GRIB_CONSTANT_FIELD		-47
/** Switch unable to find a matching case */
#define GRIB_SWITCH_NO_MATCH		-48
/** Underflow */
#define GRIB_UNDERFLOW		-49
/** Message malformed */
#define GRIB_MESSAGE_MALFORMED		-50
/** Index is corrupted */
#define GRIB_CORRUPTED_INDEX		-51
/** Invalid number of bits per value */
#define GRIB_INVALID_BPV		-52
/** Edition of two messages is different */
#define GRIB_DIFFERENT_EDITION		-53
/** Value is different */
#define GRIB_VALUE_DIFFERENT		-54
/** Invalid key value */
#define GRIB_INVALID_KEY_VALUE		-55
/*! @}*/
#endif
